Bug 8977 - printoverdues.sh call an uninitialized variable
Summary: printoverdues.sh call an uninitialized variable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.12
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 09:07 UTC by stephane.delaune
Modified: 2014-05-26 21:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (708 bytes, patch)
2012-10-29 09:11 UTC, stephane.delaune
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8977:replace unitialized directory var in printoverdues (806 bytes, patch)
2012-11-09 15:34 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description stephane.delaune 2012-10-29 09:07:15 UTC
variable directory is uninitialized, this return a tar error
Comment 1 stephane.delaune 2012-10-29 09:11:19 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-11-09 15:34:34 UTC
Created attachment 13353 [details] [review]
[SIGNED-OFF] Bug 8977:replace unitialized directory var in printoverdues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Jonathan Druart 2012-11-13 08:52:43 UTC
the $directory var does not exist.
This patch replaces this variable with the good one (first param).
Marked as Passed QA.
Comment 4 Jared Camins-Esakov 2012-11-13 14:55:57 UTC
This patch has been pushed to master.
Comment 5 stephane.delaune 2013-01-07 15:45:55 UTC
Chris, this is a bug fix ; can you push it on 3.8 an d 3.10 please ?

(I change the version to 3.12 because it's not on 3.10)
Comment 6 Jonathan Druart 2013-01-09 12:35:45 UTC
Jared, I don't find this patch on the master branch.
Comment 7 Jared Camins-Esakov 2013-01-09 13:18:38 UTC
I missed merging it. It's pushed now.
Comment 8 Chris Cormack 2013-01-12 19:27:20 UTC
Now it is in master, I have cherry picked it to 3.8.x and 3.10.x